# Function IsTableRowActionTypeSwitchMethod

- IsTableRowActionTypeSwitchMethod<Data extends Record<string, any>>(
  method: TableRowActionMethod<Data>,
  ): method is TableRowActionTypeSwitchMethod<Data>

  #### Type Parameters

  - Data extends Record<string, any>

  #### Parameters

  - method: TableRowActionMethod<Data>

  #### Returns method is TableRowActionTypeSwitchMethod<Data>

  - Defined in packages/angular/material/table-system/src/lib/table-row-actions/table-row-action.method.ts:16